Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network153.26.0.0/18
Usable hosts16,382
Subnet mask255.255.192.0
Addresses16,384
Network address
153.26.0.0
Broadcast address
153.26.63.255
First usable
153.26.0.1
Last usable
153.26.63.254
Usable hosts
16,382 (16,384 less the network and broadcast addresses)
Subnet mask
255.255.192.0
Wildcard mask
0.0.63.255 (Cisco ACLs, OSPF)
Prefix length
/18
Type
Public public
Old class
B (default /16)
As numbers
Hex 991A0000 · Integer 2568617984 to 2568634367
Reverse DNS zones
0.26.153.in-addr.arpa
1.26.153.in-addr.arpa
2.26.153.in-addr.arpa
3.26.153.in-addr.arpa
4.26.153.in-addr.arpa
5.26.153.in-addr.arpa
6.26.153.in-addr.arpa
7.26.153.in-addr.arpa
8.26.153.in-addr.arpa
9.26.153.in-addr.arpa
10.26.153.in-addr.arpa
11.26.153.in-addr.arpa
12.26.153.in-addr.arpa
13.26.153.in-addr.arpa
14.26.153.in-addr.arpa
15.26.153.in-addr.arpa
and 48 more
/18 is not on a 8-bit boundary, so it takes 64 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address10011001.00011010.00000000.00000000153.26.0.0
Subnet mask11111111.11111111.11000000.00000000255.255.192.0
Network10011001.00011010.00000000.00000000153.26.0.0
Broadcast10011001.00011010.00111111.11111111153.26.63.255
Split into smaller subnets/27

153.26.0.0/18 makes 512 subnets of /27; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1153.26.0.0/27153.26.0.1 to 153.26.0.30153.26.0.3130
2153.26.0.32/27153.26.0.33 to 153.26.0.62153.26.0.6330
3153.26.0.64/27153.26.0.65 to 153.26.0.94153.26.0.9530
4153.26.0.96/27153.26.0.97 to 153.26.0.126153.26.0.12730
5153.26.0.128/27153.26.0.129 to 153.26.0.158153.26.0.15930
6153.26.0.160/27153.26.0.161 to 153.26.0.190153.26.0.19130
7153.26.0.192/27153.26.0.193 to 153.26.0.222153.26.0.22330
8153.26.0.224/27153.26.0.225 to 153.26.0.254153.26.0.25530
9153.26.1.0/27153.26.1.1 to 153.26.1.30153.26.1.3130
10153.26.1.32/27153.26.1.33 to 153.26.1.62153.26.1.6330
11153.26.1.64/27153.26.1.65 to 153.26.1.94153.26.1.9530
12153.26.1.96/27153.26.1.97 to 153.26.1.126153.26.1.12730
13153.26.1.128/27153.26.1.129 to 153.26.1.158153.26.1.15930
14153.26.1.160/27153.26.1.161 to 153.26.1.190153.26.1.19130
15153.26.1.192/27153.26.1.193 to 153.26.1.222153.26.1.22330
16153.26.1.224/27153.26.1.225 to 153.26.1.254153.26.1.25530
17153.26.2.0/27153.26.2.1 to 153.26.2.30153.26.2.3130
18153.26.2.32/27153.26.2.33 to 153.26.2.62153.26.2.6330
19153.26.2.64/27153.26.2.65 to 153.26.2.94153.26.2.9530
20153.26.2.96/27153.26.2.97 to 153.26.2.126153.26.2.12730
21153.26.2.128/27153.26.2.129 to 153.26.2.158153.26.2.15930
22153.26.2.160/27153.26.2.161 to 153.26.2.190153.26.2.19130
23153.26.2.192/27153.26.2.193 to 153.26.2.222153.26.2.22330
24153.26.2.224/27153.26.2.225 to 153.26.2.254153.26.2.25530
25153.26.3.0/27153.26.3.1 to 153.26.3.30153.26.3.3130
26153.26.3.32/27153.26.3.33 to 153.26.3.62153.26.3.6330
27153.26.3.64/27153.26.3.65 to 153.26.3.94153.26.3.9530
28153.26.3.96/27153.26.3.97 to 153.26.3.126153.26.3.12730
29153.26.3.128/27153.26.3.129 to 153.26.3.158153.26.3.15930
30153.26.3.160/27153.26.3.161 to 153.26.3.190153.26.3.19130
31153.26.3.192/27153.26.3.193 to 153.26.3.222153.26.3.22330
32153.26.3.224/27153.26.3.225 to 153.26.3.254153.26.3.25530
33153.26.4.0/27153.26.4.1 to 153.26.4.30153.26.4.3130
34153.26.4.32/27153.26.4.33 to 153.26.4.62153.26.4.6330
35153.26.4.64/27153.26.4.65 to 153.26.4.94153.26.4.9530
36153.26.4.96/27153.26.4.97 to 153.26.4.126153.26.4.12730
37153.26.4.128/27153.26.4.129 to 153.26.4.158153.26.4.15930
38153.26.4.160/27153.26.4.161 to 153.26.4.190153.26.4.19130
39153.26.4.192/27153.26.4.193 to 153.26.4.222153.26.4.22330
40153.26.4.224/27153.26.4.225 to 153.26.4.254153.26.4.25530
41153.26.5.0/27153.26.5.1 to 153.26.5.30153.26.5.3130
42153.26.5.32/27153.26.5.33 to 153.26.5.62153.26.5.6330
43153.26.5.64/27153.26.5.65 to 153.26.5.94153.26.5.9530
44153.26.5.96/27153.26.5.97 to 153.26.5.126153.26.5.12730
45153.26.5.128/27153.26.5.129 to 153.26.5.158153.26.5.15930
46153.26.5.160/27153.26.5.161 to 153.26.5.190153.26.5.19130
47153.26.5.192/27153.26.5.193 to 153.26.5.222153.26.5.22330
48153.26.5.224/27153.26.5.225 to 153.26.5.254153.26.5.25530
49153.26.6.0/27153.26.6.1 to 153.26.6.30153.26.6.3130
50153.26.6.32/27153.26.6.33 to 153.26.6.62153.26.6.6330
51153.26.6.64/27153.26.6.65 to 153.26.6.94153.26.6.9530
52153.26.6.96/27153.26.6.97 to 153.26.6.126153.26.6.12730
53153.26.6.128/27153.26.6.129 to 153.26.6.158153.26.6.15930
54153.26.6.160/27153.26.6.161 to 153.26.6.190153.26.6.19130
55153.26.6.192/27153.26.6.193 to 153.26.6.222153.26.6.22330
56153.26.6.224/27153.26.6.225 to 153.26.6.254153.26.6.25530
57153.26.7.0/27153.26.7.1 to 153.26.7.30153.26.7.3130
58153.26.7.32/27153.26.7.33 to 153.26.7.62153.26.7.6330
59153.26.7.64/27153.26.7.65 to 153.26.7.94153.26.7.9530
60153.26.7.96/27153.26.7.97 to 153.26.7.126153.26.7.12730
61153.26.7.128/27153.26.7.129 to 153.26.7.158153.26.7.15930
62153.26.7.160/27153.26.7.161 to 153.26.7.190153.26.7.19130
63153.26.7.192/27153.26.7.193 to 153.26.7.222153.26.7.22330
64153.26.7.224/27153.26.7.225 to 153.26.7.254153.26.7.25530
65153.26.8.0/27153.26.8.1 to 153.26.8.30153.26.8.3130
66153.26.8.32/27153.26.8.33 to 153.26.8.62153.26.8.6330
67153.26.8.64/27153.26.8.65 to 153.26.8.94153.26.8.9530
68153.26.8.96/27153.26.8.97 to 153.26.8.126153.26.8.12730
69153.26.8.128/27153.26.8.129 to 153.26.8.158153.26.8.15930
70153.26.8.160/27153.26.8.161 to 153.26.8.190153.26.8.19130
71153.26.8.192/27153.26.8.193 to 153.26.8.222153.26.8.22330
72153.26.8.224/27153.26.8.225 to 153.26.8.254153.26.8.25530
73153.26.9.0/27153.26.9.1 to 153.26.9.30153.26.9.3130
74153.26.9.32/27153.26.9.33 to 153.26.9.62153.26.9.6330
75153.26.9.64/27153.26.9.65 to 153.26.9.94153.26.9.9530
76153.26.9.96/27153.26.9.97 to 153.26.9.126153.26.9.12730
77153.26.9.128/27153.26.9.129 to 153.26.9.158153.26.9.15930
78153.26.9.160/27153.26.9.161 to 153.26.9.190153.26.9.19130
79153.26.9.192/27153.26.9.193 to 153.26.9.222153.26.9.22330
80153.26.9.224/27153.26.9.225 to 153.26.9.254153.26.9.25530
81153.26.10.0/27153.26.10.1 to 153.26.10.30153.26.10.3130
82153.26.10.32/27153.26.10.33 to 153.26.10.62153.26.10.6330
83153.26.10.64/27153.26.10.65 to 153.26.10.94153.26.10.9530
84153.26.10.96/27153.26.10.97 to 153.26.10.126153.26.10.12730
85153.26.10.128/27153.26.10.129 to 153.26.10.158153.26.10.15930
86153.26.10.160/27153.26.10.161 to 153.26.10.190153.26.10.19130
87153.26.10.192/27153.26.10.193 to 153.26.10.222153.26.10.22330
88153.26.10.224/27153.26.10.225 to 153.26.10.254153.26.10.25530
89153.26.11.0/27153.26.11.1 to 153.26.11.30153.26.11.3130
90153.26.11.32/27153.26.11.33 to 153.26.11.62153.26.11.6330
91153.26.11.64/27153.26.11.65 to 153.26.11.94153.26.11.9530
92153.26.11.96/27153.26.11.97 to 153.26.11.126153.26.11.12730
93153.26.11.128/27153.26.11.129 to 153.26.11.158153.26.11.15930
94153.26.11.160/27153.26.11.161 to 153.26.11.190153.26.11.19130
95153.26.11.192/27153.26.11.193 to 153.26.11.222153.26.11.22330
96153.26.11.224/27153.26.11.225 to 153.26.11.254153.26.11.25530
97153.26.12.0/27153.26.12.1 to 153.26.12.30153.26.12.3130
98153.26.12.32/27153.26.12.33 to 153.26.12.62153.26.12.6330
99153.26.12.64/27153.26.12.65 to 153.26.12.94153.26.12.9530
100153.26.12.96/27153.26.12.97 to 153.26.12.126153.26.12.12730
101153.26.12.128/27153.26.12.129 to 153.26.12.158153.26.12.15930
102153.26.12.160/27153.26.12.161 to 153.26.12.190153.26.12.19130
103153.26.12.192/27153.26.12.193 to 153.26.12.222153.26.12.22330
104153.26.12.224/27153.26.12.225 to 153.26.12.254153.26.12.25530
105153.26.13.0/27153.26.13.1 to 153.26.13.30153.26.13.3130
106153.26.13.32/27153.26.13.33 to 153.26.13.62153.26.13.6330
107153.26.13.64/27153.26.13.65 to 153.26.13.94153.26.13.9530
108153.26.13.96/27153.26.13.97 to 153.26.13.126153.26.13.12730
109153.26.13.128/27153.26.13.129 to 153.26.13.158153.26.13.15930
110153.26.13.160/27153.26.13.161 to 153.26.13.190153.26.13.19130
111153.26.13.192/27153.26.13.193 to 153.26.13.222153.26.13.22330
112153.26.13.224/27153.26.13.225 to 153.26.13.254153.26.13.25530
113153.26.14.0/27153.26.14.1 to 153.26.14.30153.26.14.3130
114153.26.14.32/27153.26.14.33 to 153.26.14.62153.26.14.6330
115153.26.14.64/27153.26.14.65 to 153.26.14.94153.26.14.9530
116153.26.14.96/27153.26.14.97 to 153.26.14.126153.26.14.12730
117153.26.14.128/27153.26.14.129 to 153.26.14.158153.26.14.15930
118153.26.14.160/27153.26.14.161 to 153.26.14.190153.26.14.19130
119153.26.14.192/27153.26.14.193 to 153.26.14.222153.26.14.22330
120153.26.14.224/27153.26.14.225 to 153.26.14.254153.26.14.25530
121153.26.15.0/27153.26.15.1 to 153.26.15.30153.26.15.3130
122153.26.15.32/27153.26.15.33 to 153.26.15.62153.26.15.6330
123153.26.15.64/27153.26.15.65 to 153.26.15.94153.26.15.9530
124153.26.15.96/27153.26.15.97 to 153.26.15.126153.26.15.12730
125153.26.15.128/27153.26.15.129 to 153.26.15.158153.26.15.15930
126153.26.15.160/27153.26.15.161 to 153.26.15.190153.26.15.19130
127153.26.15.192/27153.26.15.193 to 153.26.15.222153.26.15.22330
128153.26.15.224/27153.26.15.225 to 153.26.15.254153.26.15.25530
129153.26.16.0/27153.26.16.1 to 153.26.16.30153.26.16.3130
130153.26.16.32/27153.26.16.33 to 153.26.16.62153.26.16.6330
131153.26.16.64/27153.26.16.65 to 153.26.16.94153.26.16.9530
132153.26.16.96/27153.26.16.97 to 153.26.16.126153.26.16.12730
133153.26.16.128/27153.26.16.129 to 153.26.16.158153.26.16.15930
134153.26.16.160/27153.26.16.161 to 153.26.16.190153.26.16.19130
135153.26.16.192/27153.26.16.193 to 153.26.16.222153.26.16.22330
136153.26.16.224/27153.26.16.225 to 153.26.16.254153.26.16.25530
137153.26.17.0/27153.26.17.1 to 153.26.17.30153.26.17.3130
138153.26.17.32/27153.26.17.33 to 153.26.17.62153.26.17.6330
139153.26.17.64/27153.26.17.65 to 153.26.17.94153.26.17.9530
140153.26.17.96/27153.26.17.97 to 153.26.17.126153.26.17.12730
141153.26.17.128/27153.26.17.129 to 153.26.17.158153.26.17.15930
142153.26.17.160/27153.26.17.161 to 153.26.17.190153.26.17.19130
143153.26.17.192/27153.26.17.193 to 153.26.17.222153.26.17.22330
144153.26.17.224/27153.26.17.225 to 153.26.17.254153.26.17.25530
145153.26.18.0/27153.26.18.1 to 153.26.18.30153.26.18.3130
146153.26.18.32/27153.26.18.33 to 153.26.18.62153.26.18.6330
147153.26.18.64/27153.26.18.65 to 153.26.18.94153.26.18.9530
148153.26.18.96/27153.26.18.97 to 153.26.18.126153.26.18.12730
149153.26.18.128/27153.26.18.129 to 153.26.18.158153.26.18.15930
150153.26.18.160/27153.26.18.161 to 153.26.18.190153.26.18.19130
151153.26.18.192/27153.26.18.193 to 153.26.18.222153.26.18.22330
152153.26.18.224/27153.26.18.225 to 153.26.18.254153.26.18.25530
153153.26.19.0/27153.26.19.1 to 153.26.19.30153.26.19.3130
154153.26.19.32/27153.26.19.33 to 153.26.19.62153.26.19.6330
155153.26.19.64/27153.26.19.65 to 153.26.19.94153.26.19.9530
156153.26.19.96/27153.26.19.97 to 153.26.19.126153.26.19.12730
157153.26.19.128/27153.26.19.129 to 153.26.19.158153.26.19.15930
158153.26.19.160/27153.26.19.161 to 153.26.19.190153.26.19.19130
159153.26.19.192/27153.26.19.193 to 153.26.19.222153.26.19.22330
160153.26.19.224/27153.26.19.225 to 153.26.19.254153.26.19.25530
161153.26.20.0/27153.26.20.1 to 153.26.20.30153.26.20.3130
162153.26.20.32/27153.26.20.33 to 153.26.20.62153.26.20.6330
163153.26.20.64/27153.26.20.65 to 153.26.20.94153.26.20.9530
164153.26.20.96/27153.26.20.97 to 153.26.20.126153.26.20.12730
165153.26.20.128/27153.26.20.129 to 153.26.20.158153.26.20.15930
166153.26.20.160/27153.26.20.161 to 153.26.20.190153.26.20.19130
167153.26.20.192/27153.26.20.193 to 153.26.20.222153.26.20.22330
168153.26.20.224/27153.26.20.225 to 153.26.20.254153.26.20.25530
169153.26.21.0/27153.26.21.1 to 153.26.21.30153.26.21.3130
170153.26.21.32/27153.26.21.33 to 153.26.21.62153.26.21.6330
171153.26.21.64/27153.26.21.65 to 153.26.21.94153.26.21.9530
172153.26.21.96/27153.26.21.97 to 153.26.21.126153.26.21.12730
173153.26.21.128/27153.26.21.129 to 153.26.21.158153.26.21.15930
174153.26.21.160/27153.26.21.161 to 153.26.21.190153.26.21.19130
175153.26.21.192/27153.26.21.193 to 153.26.21.222153.26.21.22330
176153.26.21.224/27153.26.21.225 to 153.26.21.254153.26.21.25530
177153.26.22.0/27153.26.22.1 to 153.26.22.30153.26.22.3130
178153.26.22.32/27153.26.22.33 to 153.26.22.62153.26.22.6330
179153.26.22.64/27153.26.22.65 to 153.26.22.94153.26.22.9530
180153.26.22.96/27153.26.22.97 to 153.26.22.126153.26.22.12730
181153.26.22.128/27153.26.22.129 to 153.26.22.158153.26.22.15930
182153.26.22.160/27153.26.22.161 to 153.26.22.190153.26.22.19130
183153.26.22.192/27153.26.22.193 to 153.26.22.222153.26.22.22330
184153.26.22.224/27153.26.22.225 to 153.26.22.254153.26.22.25530
185153.26.23.0/27153.26.23.1 to 153.26.23.30153.26.23.3130
186153.26.23.32/27153.26.23.33 to 153.26.23.62153.26.23.6330
187153.26.23.64/27153.26.23.65 to 153.26.23.94153.26.23.9530
188153.26.23.96/27153.26.23.97 to 153.26.23.126153.26.23.12730
189153.26.23.128/27153.26.23.129 to 153.26.23.158153.26.23.15930
190153.26.23.160/27153.26.23.161 to 153.26.23.190153.26.23.19130
191153.26.23.192/27153.26.23.193 to 153.26.23.222153.26.23.22330
192153.26.23.224/27153.26.23.225 to 153.26.23.254153.26.23.25530
193153.26.24.0/27153.26.24.1 to 153.26.24.30153.26.24.3130
194153.26.24.32/27153.26.24.33 to 153.26.24.62153.26.24.6330
195153.26.24.64/27153.26.24.65 to 153.26.24.94153.26.24.9530
196153.26.24.96/27153.26.24.97 to 153.26.24.126153.26.24.12730
197153.26.24.128/27153.26.24.129 to 153.26.24.158153.26.24.15930
198153.26.24.160/27153.26.24.161 to 153.26.24.190153.26.24.19130
199153.26.24.192/27153.26.24.193 to 153.26.24.222153.26.24.22330
200153.26.24.224/27153.26.24.225 to 153.26.24.254153.26.24.25530
201153.26.25.0/27153.26.25.1 to 153.26.25.30153.26.25.3130
202153.26.25.32/27153.26.25.33 to 153.26.25.62153.26.25.6330
203153.26.25.64/27153.26.25.65 to 153.26.25.94153.26.25.9530
204153.26.25.96/27153.26.25.97 to 153.26.25.126153.26.25.12730
205153.26.25.128/27153.26.25.129 to 153.26.25.158153.26.25.15930
206153.26.25.160/27153.26.25.161 to 153.26.25.190153.26.25.19130
207153.26.25.192/27153.26.25.193 to 153.26.25.222153.26.25.22330
208153.26.25.224/27153.26.25.225 to 153.26.25.254153.26.25.25530
209153.26.26.0/27153.26.26.1 to 153.26.26.30153.26.26.3130
210153.26.26.32/27153.26.26.33 to 153.26.26.62153.26.26.6330
211153.26.26.64/27153.26.26.65 to 153.26.26.94153.26.26.9530
212153.26.26.96/27153.26.26.97 to 153.26.26.126153.26.26.12730
213153.26.26.128/27153.26.26.129 to 153.26.26.158153.26.26.15930
214153.26.26.160/27153.26.26.161 to 153.26.26.190153.26.26.19130
215153.26.26.192/27153.26.26.193 to 153.26.26.222153.26.26.22330
216153.26.26.224/27153.26.26.225 to 153.26.26.254153.26.26.25530
217153.26.27.0/27153.26.27.1 to 153.26.27.30153.26.27.3130
218153.26.27.32/27153.26.27.33 to 153.26.27.62153.26.27.6330
219153.26.27.64/27153.26.27.65 to 153.26.27.94153.26.27.9530
220153.26.27.96/27153.26.27.97 to 153.26.27.126153.26.27.12730
221153.26.27.128/27153.26.27.129 to 153.26.27.158153.26.27.15930
222153.26.27.160/27153.26.27.161 to 153.26.27.190153.26.27.19130
223153.26.27.192/27153.26.27.193 to 153.26.27.222153.26.27.22330
224153.26.27.224/27153.26.27.225 to 153.26.27.254153.26.27.25530
225153.26.28.0/27153.26.28.1 to 153.26.28.30153.26.28.3130
226153.26.28.32/27153.26.28.33 to 153.26.28.62153.26.28.6330
227153.26.28.64/27153.26.28.65 to 153.26.28.94153.26.28.9530
228153.26.28.96/27153.26.28.97 to 153.26.28.126153.26.28.12730
229153.26.28.128/27153.26.28.129 to 153.26.28.158153.26.28.15930
230153.26.28.160/27153.26.28.161 to 153.26.28.190153.26.28.19130
231153.26.28.192/27153.26.28.193 to 153.26.28.222153.26.28.22330
232153.26.28.224/27153.26.28.225 to 153.26.28.254153.26.28.25530
233153.26.29.0/27153.26.29.1 to 153.26.29.30153.26.29.3130
234153.26.29.32/27153.26.29.33 to 153.26.29.62153.26.29.6330
235153.26.29.64/27153.26.29.65 to 153.26.29.94153.26.29.9530
236153.26.29.96/27153.26.29.97 to 153.26.29.126153.26.29.12730
237153.26.29.128/27153.26.29.129 to 153.26.29.158153.26.29.15930
238153.26.29.160/27153.26.29.161 to 153.26.29.190153.26.29.19130
239153.26.29.192/27153.26.29.193 to 153.26.29.222153.26.29.22330
240153.26.29.224/27153.26.29.225 to 153.26.29.254153.26.29.25530
241153.26.30.0/27153.26.30.1 to 153.26.30.30153.26.30.3130
242153.26.30.32/27153.26.30.33 to 153.26.30.62153.26.30.6330
243153.26.30.64/27153.26.30.65 to 153.26.30.94153.26.30.9530
244153.26.30.96/27153.26.30.97 to 153.26.30.126153.26.30.12730
245153.26.30.128/27153.26.30.129 to 153.26.30.158153.26.30.15930
246153.26.30.160/27153.26.30.161 to 153.26.30.190153.26.30.19130
247153.26.30.192/27153.26.30.193 to 153.26.30.222153.26.30.22330
248153.26.30.224/27153.26.30.225 to 153.26.30.254153.26.30.25530
249153.26.31.0/27153.26.31.1 to 153.26.31.30153.26.31.3130
250153.26.31.32/27153.26.31.33 to 153.26.31.62153.26.31.6330
251153.26.31.64/27153.26.31.65 to 153.26.31.94153.26.31.9530
252153.26.31.96/27153.26.31.97 to 153.26.31.126153.26.31.12730
253153.26.31.128/27153.26.31.129 to 153.26.31.158153.26.31.15930
254153.26.31.160/27153.26.31.161 to 153.26.31.190153.26.31.19130
255153.26.31.192/27153.26.31.193 to 153.26.31.222153.26.31.22330
256153.26.31.224/27153.26.31.225 to 153.26.31.254153.26.31.25530

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses